# OpenLayers.Format.OWSContext

Read and write OWS Context documents. OWS Context documents are a preliminary OGC (Open Geospatial Consortium) standard for storing the state of a web mapping application. In a way it is the successor to Web Map Context (WMC), since it is more generic and more types of layers can be stored. Also, nesting of layers is supported since version 0.3.1. For more information see: http://www.ogcnetwork.net/context

Summary

OpenLayers.Format.OWSContext | Read and write OWS Context documents.
Properties |
defaultVersion | {String} Version number to assume if none found.
Constructor |
OpenLayers.Format.OWSContext | Create a new parser for OWS Context documents.
Functions |
getVersion | Returns the version to use.
toContext | Create a context object free from layer given a map or a context object.

### Properties

### defaultVersion

{String} Version number to assume if none found. Default is “0.3.1”.

### Constructor

### OpenLayers.Format.OWSContext

Create a new parser for OWS Context documents.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### getVersion

> getVersion: function( | root,
> | options | )

Returns the version to use. Subclasses can override this function if a different version detection is needed.

#### Parameters

root | {DOMElement}
options | {Object} Optional configuration object.

#### Returns

{String} The version to use.

### toContext

> toContext: function( | obj | )

Create a context object free from layer given a map or a context object.

#### Parameters

obj | {OpenLayers.Map | Object} The map or context.

#### Returns

{Object} A context object.

> getVersion: function( | root,
> | options | )

Returns the version to use.

> toContext: function( | obj | )

Create a context object free from layer given a map or a context object.
Instances of OpenLayers.Map are interactive maps embedded in a web page.
Close